<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "uberall_statistic".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "UberallStatistic".
 *
 * Columns in table "uberall_statistic" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property string $date_added
 * @property string $data
 *
 */
abstract class BaseUberallStatistic extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'uberall_statistic';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'UberallStatistic|UberallStatistics', $n);
    }

    public static function representingColumn()
    {
        return 'date_added';
    }

    public function rules()
    {
        return array(
            array(
                'date_added, data',
                'required'
            ),
            array(
                'id, date_added, data',
                'safe',
                'on' => 'search'
            )
        );
    }

    public function relations()
    {
        return array();
    }

    public function pivotModels()
    {
        return array();
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'date_added' => Yii::t('app', 'Date Added'),
            'data' => Yii::t('app', 'Data')
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria();

        $criteria->compare('id', $this->id);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('data', $this->data, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
            'pagination' => array('pageSize' => 100)
        ));
    }
}
